# Method __builtin.Nettle.Hash()->SCRAM()->server_2()

Method server_2

  ``string(7bit)` server_2(`string(8bit)` `salt`, `int` `iters`)`

Description

  Server-side step 2 in the SCRAM handshake.

Parameter `salt`

  The salt corresponding to the username that has been specified earlier.

Parameter `iters`

  The number of iterations the hashing algorithm should perform to compute the authentication hash.

Returns

  The server-first challenge to send to the client.

See also

  server_3